MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029129Open CASCADE[OCCT] OCCT:Configurationpublic2017-09-20 19:482018-06-29 21:21
Reporteraml 
Assigned Tobugmaster 
PriorityhighSeverityminor 
StatusclosedResolutionreopened 
PlatformOSOS Version
Product Version[OCCT] 7.2.0 
Target Version[OCCT] 7.3.0Fixed in Version[OCCT] 7.3.0 
Summary0029129: Incomplete support of MSVS2017
DescriptionI have faced with couple of problems related to the MSVS2017 support.
I use MSVS2017.3 community.

1) occt_macro file:
"macro (OCCT_MAKE_COMPILER_SHORT_NAME)" method

...
    elseif (MSVC12)
      set (COMPILER vc12)
    elseif (MSVC14)
      set (COMPILER vc14)
    elseif (MSVC15)
      # Since Visual Studio 15 (2017), its version diverged from version of
      # compiler which is 14.1; as that compiler uses the same run-time as 14.0,
      # we keep its id as "vc14" to be compatibille
      set (COMPILER vc14)
    endif()
...
there is no "MSVC15" variable. MSVS2017 utilizes the same variable "MSVC14".

I have found the following message in CMake tracker:
" There is no MSVC15 variable because VS 2017 uses the v141 toolset which is compatible with the VS 2015 v140 toolset. We may not add any more MSVC## variables now that VS versions and toolset versions have been decoupled. MSVC_VERSION is a more general value that places like InstallRequiredSystemLibraries.cmake could use instead. "
Steps To ReproduceN/A
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0074364)
abv (manager)
2018-03-08 09:11

Andrey, please consider this issue -- it is highly desirable to fix this kind of problems before 7.3.0 beta
(0074391)
git (administrator)
2018-03-12 16:19

Branch CR29129 has been created by apn.

SHA-1: d8027c6283abb3e8c4ad287d172ca4f5ee1d967e


Detailed log of new commits:

Author: apn
Date: Mon Mar 12 16:19:21 2018 +0300

    0029129: Incomplete support of MSVS2017
    
    MSVC_VERSION is used instead of MSVC10, MSVC11, MSVC12, etc.
(0074394)
apn (administrator)
2018-03-12 16:24

Dear ski, could you please review occt and products branches CR29129.
(0074426)
abv (manager)
2018-03-13 13:02

I propose improving the checks for MSVC version as follows:
- instead of (MSVC_VERSION > 1900), use (MSVC_VERSION > 1900) AND (MSVC_VERSION < 2000)
- add else statement to handle the case of unrecognized MSVC_VERSION and issue an error message in that case
(0074427)
git (administrator)
2018-03-13 14:17

Branch CR29129 has been updated by apn.

SHA-1: 4423a5233b90be7b98a7fe9be8a377e6f21a2c98


Detailed log of new commits:

Author: apn
Date: Tue Mar 13 14:16:58 2018 +0300

    // Use (MSVC_VERSION > 1900) AND (MSVC_VERSION < 2000) instead of (MSVC_VERSION > 1900)
    // Add else statement to handle the case of unrecognized MSVC_VERSION and issue an error message in that case

(0074431)
apn (administrator)
2018-03-13 14:28

Dear abv, remarks were applied.
(0074459)
abv (manager)
2018-03-14 10:00

In adm/cmake/occt_defs_flags.cmake, will not the following line cause error if MSVC_VERSION is not defined (e.g. when building with GCC on Linux)?

> if ((MSVC_VERSION EQUAL 1400) OR (MSVC_VERSION EQUAL 1500) OR (MSVC_VERSION EQUAL 1600))

Should not we have it as "if (MSVC AND (...))"?
(0074462)
git (administrator)
2018-03-14 11:35

Branch CR29129 has been updated forcibly by apn.

SHA-1: e64756b256da0ef2f29d4ba5c6a3ab7e7bad9f60
(0074464)
apn (administrator)
2018-03-14 11:47

There're no errors during cmake configure on Linux (checked on Debian without ONLY for 32-bit definition) but "if (MSVC AND (...))" was added in adm/cmake/occt_defs_flags.cmake for code consistency (the same conditions in all cases).
(0074470)
git (administrator)
2018-03-14 14:04

Branch CR29129 has been updated by abv.

SHA-1: d522b1c4391e48632e1ed5c52c704cda48cdbdda


Detailed log of new commits:

Author: abv
Date: Wed Mar 14 14:04:03 2018 +0300

    // minor correction of comment

(0074471)
abv (manager)
2018-03-14 14:04

Reviewed with minor amendment (comment only), please integrate
(0074593)
git (administrator)
2018-03-19 10:05

Branch CR29129 has been deleted by kgv.

SHA-1: d522b1c4391e48632e1ed5c52c704cda48cdbdda

- Related Changesets
occt: master 1167d6cc
Timestamp: 2018-03-12 13:19:21
Author: apn
Committer: bugmaster
Details ] Diff ]
0029129: Incomplete support of MSVS2017

MSVC_VERSION is used instead of MSVC10, MSVC11, MSVC12, etc.
mod - adm/cmake/occt_defs_flags.cmake Diff ] File ]
mod - adm/cmake/occt_macros.cmake Diff ] File ]
mod - samples/mfc/occtdemo/adm/cmake/CMakeLists.txt Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-09-20 19:48 aml New Issue
2017-09-20 19:48 aml Assigned To => bugmaster
2017-09-20 19:48 aml File Added: IMG_20092017_193514_0.png
2017-09-20 21:01 aml File Deleted: IMG_20092017_193514_0.png
2017-09-20 21:01 aml Description Updated View Revisions
2018-01-09 16:28 bugmaster Status new => closed
2018-01-09 16:28 bugmaster Assigned To bugmaster => apn
2018-01-09 16:28 bugmaster Resolution open => fixed
2018-01-09 16:28 bugmaster Status closed => feedback
2018-01-09 16:28 bugmaster Resolution fixed => reopened
2018-03-08 09:11 abv Note Added: 0074364
2018-03-08 09:11 abv Priority normal => high
2018-03-12 16:19 git Note Added: 0074391
2018-03-12 16:24 apn Test case number => Not needed
2018-03-12 16:24 apn Note Added: 0074394
2018-03-12 16:24 apn Assigned To apn => ski
2018-03-12 16:24 apn Status feedback => resolved
2018-03-12 16:31 ski Assigned To ski => bugmaster
2018-03-12 16:31 ski Status resolved => reviewed
2018-03-13 13:02 abv Note Added: 0074426
2018-03-13 14:17 git Note Added: 0074427
2018-03-13 14:28 apn Note Added: 0074431
2018-03-13 14:28 apn Assigned To bugmaster => abv
2018-03-13 14:28 apn Status reviewed => feedback
2018-03-13 14:28 apn Status feedback => resolved
2018-03-14 10:00 abv Note Added: 0074459
2018-03-14 10:05 abv Assigned To abv => apn
2018-03-14 10:05 abv Status resolved => feedback
2018-03-14 11:35 git Note Added: 0074462
2018-03-14 11:47 apn Note Added: 0074464
2018-03-14 11:47 apn Assigned To apn => abv
2018-03-14 11:47 apn Status feedback => resolved
2018-03-14 14:04 git Note Added: 0074470
2018-03-14 14:04 abv Note Added: 0074471
2018-03-14 14:04 abv Assigned To abv => bugmaster
2018-03-14 14:04 abv Status resolved => reviewed
2018-03-14 16:11 bugmaster Status reviewed => tested
2018-03-18 13:21 bugmaster Changeset attached => occt master 1167d6cc
2018-03-18 13:21 bugmaster Status tested => verified
2018-03-19 10:05 git Note Added: 0074593
2018-06-29 21:16 user533 Fixed in Version => 7.3.0
2018-06-29 21:21 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker